#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.0
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.0-2YdeI3nxAzOyGJXohj1l3-dns-internal
key:                  dns-4.1.0-2YdeI3nxAzOyGJXohj1l3-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  dd998a2ac05db3ca9fbd7cb4a1e8c319
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-2YdeI3nxAzOyGJXohj1l3-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-85w9IAxzN0L1JfVlkdGnGr
    attoparsec-0.14.4-5VvPgrvhsMREGpJ47hSOJy
    auto-update-0.1.6-7IeVJ16hD7JAt4bbkouXkS base-4.15.1.0
    base16-bytestring-1.0.2.0-5yEKd7V15or9tOje1SnE3V
    base64-bytestring-1.2.1.0-INxvaIcn38WAVVivWrRDlW
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-GkEuHpgNoKGAeun61nywqJ
    hourglass-0.2.12-L6gSaWtOCp9D9QUtbuHtQQ
    iproute-1.7.12-D9CdOhBuHukCbXRf6j36w2 mtl-2.2.2
    network-3.1.2.7-HsBxoWBomTs37NNIvwPy3j
    psqueues-0.2.7.3-Hh6iyfgahpAZGN7pl5GXt

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.0
visibility:           public
id:                   dns-4.1.0-JvYE2Duo2MkAARUMVgorml
key:                  dns-4.1.0-JvYE2Duo2MkAARUMVgorml
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  9f9afd9817378a21a51e4972d04f785e
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.0-JvYE2Duo2MkAARUMVgorml
depends:
    array-0.5.4.0 async-2.2.4-85w9IAxzN0L1JfVlkdGnGr
    attoparsec-0.14.4-5VvPgrvhsMREGpJ47hSOJy
    auto-update-0.1.6-7IeVJ16hD7JAt4bbkouXkS base-4.15.1.0
    base16-bytestring-1.0.2.0-5yEKd7V15or9tOje1SnE3V
    base64-bytestring-1.2.1.0-INxvaIcn38WAVVivWrRDlW
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-GkEuHpgNoKGAeun61nywqJ
    dns-4.1.0-2YdeI3nxAzOyGJXohj1l3-dns-internal
    hourglass-0.2.12-L6gSaWtOCp9D9QUtbuHtQQ
    iproute-1.7.12-D9CdOhBuHukCbXRf6j36w2 mtl-2.2.2
    network-3.1.2.7-HsBxoWBomTs37NNIvwPy3j
    psqueues-0.2.7.3-Hh6iyfgahpAZGN7pl5GXt

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

